#!/usr/bin/perl  -I./blib/lib

use strict;
use DNSSEC::Registry::Trust_DB;
use Term::ReadLine;


my $trustdb=DNSSEC::Registry::Trust_DB->new("work");

my $term = new Term::ReadLine 'sample';



my @trusted_objects=$trustdb->get_trusted;

print "; DS dump for domain: ". $trustdb->domain ."\n";
    
if (! @trusted_objects) {
    print "; No objects trusted\n";
}
    
foreach my $trusted_object ( @trusted_objects ){
	my $dsrr=Net::DNS::RR::DS->create( $trusted_object->RR );
	print  $dsrr->string ."\n";
 }
